﻿using System;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;

using Com.Syncfusion.Charts.Enums;
using Com.Syncfusion.Charts;
using Java.Util;
using Android.Graphics;

namespace Spline
{
    [Activity(Label = "Spline", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        LinearLayout layout;
        Button button;
        SfChart chart;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            layout = new LinearLayout(this);
            layout.Orientation = Android.Widget.Orientation.Vertical;

            button = new Button(this);
            button.SetBackgroundColor(Color.White);
            button.Text = "Click";
            button.SetTextColor(Color.Black);
       
            chart = new SfChart(this);
            chart.SetBackgroundColor(Color.White);
         
            CategoryAxis xAxis = new CategoryAxis();
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            chart.SecondaryAxis = yAxis;

            DataModel datamodel = new DataModel();

            SplineSeries series = new SplineSeries();
            series.DataSource = datamodel.datas;
            series.TooltipEnabled = true;
            series.StrokeWidth = 2;
            series.DataMarker.ShowMarker = true;
            series.DataMarker.ShowLabel = true;
            series.DataMarker.MarkerHeight = 5;
            series.DataMarker.MarkerWidth = 5;
            series.Label = "Series1";
            chart.Series.Add(series);

            SplineSeries series1 = new SplineSeries();
            series1.DataSource = datamodel.datas1;
            series1.TooltipEnabled = true;
            series1.StrokeWidth = 2;
            series1.DataMarker.ShowMarker = true;
            series1.DataMarker.ShowLabel = true;
            series1.DataMarker.MarkerHeight = 5;
            series1.DataMarker.MarkerWidth = 5;
            series1.Label = "Series2";
            chart.Series.Add(series1);

            chart.Legend.Visibility = Visibility.Visible;
            chart.Legend.DockPosition = ChartDock.Bottom;


            button.Click += Button_Click;

            // Set our view from the "main" layout resource
            layout.AddView(button);
            SetContentView(layout);  
        }

        private void Button_Click(object sender, EventArgs e)
        {
            if (layout.ChildCount == 1)
            {
                var layoutParams = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.MatchParent);
                layout.AddView(chart,layoutParams);
                button.Text = "Remove";
            }
            else
            {
                layout.RemoveViewAt(1);
                button.Text = "Click";
            }
        }

        public class DataModel
        {
            public ObservableArrayList datas = new ObservableArrayList();
            public ObservableArrayList datas1 = new ObservableArrayList();
            public DataModel()
            {
                datas.Add(new ChartDataPoint("2010", 45));
                datas.Add(new ChartDataPoint("2011", 86));
                datas.Add(new ChartDataPoint("2012", 23));
                datas.Add(new ChartDataPoint("2013", 43));
                datas.Add(new ChartDataPoint("2014", 54));

                datas1.Add(new ChartDataPoint("2010", 35));
                datas1.Add(new ChartDataPoint("2011", 66));
                datas1.Add(new ChartDataPoint("2012", 43));
                datas1.Add(new ChartDataPoint("2013", 23));
                datas1.Add(new ChartDataPoint("2014", 44));

            }
        }
    }
}

